[P029]Transfer

get
https://connect.patsnap.com/advanced-patent-data/transfer-data
Try in Sandbox

Receive transfer data by patent_id or patent_number. This includes the transfer before assignee, transfer after assignee, and the effective date.

The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
patent_id
stringf9ae4fb6-7132-4e99-b8e2-39de8917b4d9
patent_id
patent_number
stringUS10763777B2
patent_number

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
pn
stringUS11205304B2
patent number
patent_id
string718ead9c-4f3c-4674-8f5a-24e126827269
patent id
patent_transfer_data
arrayPlease check the form: PatentTransferData
transfer data
country
stringUS
Authority code
transferees
arrayPlease check the form: PersonBaseDoc
transferees
lang
stringEN
Language
name
stringEMC IP HOLDING COMPANY LLC
name
sequence
integer<int32>1
sequence
transferers
arrayPlease check the form: PersonBaseDoc
transferers
lang
stringEN
Language
name
stringEMC IP HOLDING COMPANY LLC
name
sequence
integer<int32>1
sequence
effective_date_us
integer<int64>20200323
Transfer effective date of US
effective_date
integer<int64>20111020
Transfer effective date
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "pn": "US11205304B2",
      "patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
      "patent_transfer_data": [
        {
          "country": "US",
          "transferees": [
            {
              "lang": "EN",
              "name": "EMC IP HOLDING COMPANY LLC",
              "sequence": 1
            }
          ],
          "transferers": [
            {
              "lang": "EN",
              "name": "EMC IP HOLDING COMPANY LLC",
              "sequence": 1,
              "effective_date_us": 20200323
            }
          ],
          "effective_date": 20111020
        }
      ]
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found